using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace Infragistics.Extensions
{
    public class FieldAdornerCollection : ObservableCollection<FieldAdorner>
    {
        public FieldAdorner this[string fieldName]
        {
            get
            {
                foreach (var item in Items)
                {
                    if (item.Name == fieldName)
                        return item;
                }

                return null;
            }
        }
    }
}
